/* Copyright (C) 2001,2008 Martijn van Iersel and Jules Beulen
 * This program is released under the terms of the zlib license
 * See license.txt for details
 */
#include <allegro.h>
#include "hiscore.h"
#include "game.h"

class ScoreHandler
{
private:
    int current_score_player;
    HiScore *hiscore;
public:
    void setHiScore (HiScore *hs) { hiscore = hs; }
    void activate ();
    void update (GameEngine &ge);
    void draw (BITMAP *buffer, BITMAP *title, BITMAP *panel);
    bool finished ();
};

